Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Namespaces | Classes | Typedefs | Enumerations | Functions
rapidjson Namespace Reference

## Namespaces
| internal

## Classes
class | Allocator
| Concept for allocating, resizing and freeing memory block. More...
struct | AutoUTF
| Dynamically select encoding according to stream's runtime-specified UTF encoding type. More...
class | AutoUTFInputStream
| Input stream wrapper with dynamically bound encoding and automatic encoding detection. More...
class | AutoUTFOutputStream
| Output stream wrapper with dynamically bound encoding and automatic encoding detection. More...
struct | BaseReaderHandler
| Default implementation of Handler. More...
class | CrtAllocator
| C-runtime library allocator. More...
class | EncodedInputStream
| Input byte stream wrapper with a statically bound encoding. More...
class | EncodedOutputStream
| Output byte stream wrapper with statically bound encoding. More...
class | Encoding
| Concept for encoding of Unicode characters. More...
class | FileReadStream
| File byte stream for input using fread(). More...
class | FileStream
| (Depreciated) Wrapper of C file stream for input or output. More...
class | FileWriteStream
| Wrapper of C file stream for input using fread(). More...
class | GenericDocument
| A document for parsing JSON text as DOM. More...
struct | GenericInsituStringStream
| A read-write string stream. More...
class | GenericReader
| SAX-style JSON parser. Use Reader for UTF8 encoding and default allocator. More...
struct | GenericStringBuffer
| Represents an in-memory output stream. More...
struct | GenericStringStream
| Read-only string stream. More...
class | GenericValue
| Represents a JSON value. Use Value for UTF8 encoding and default allocator. More...
class | Handler
| Concept for receiving events from GenericReader upon parsing. More...
class | MemoryPoolAllocator
| Default memory allocator used by the parser and DOM. More...
class | PrettyWriter
| Writer with indentation and spacing. More...
struct | STATIC_ASSERTION_FAILURE
struct | STATIC_ASSERTION_FAILURE< true >
struct | StaticAssertTest
class | Stream
| Concept for reading and writing characters. More...
struct | Transcoder
| Encoding conversion. More...
struct | Transcoder< Encoding, Encoding >
| Specialization of Transcoder with same source and target encoding. More...
struct | UTF16
| UTF-16 encoding. More...
struct | UTF16BE
| UTF-16 big endian encoding. More...
struct | UTF16LE
| UTF-16 little endian encoding. More...
struct | UTF32
| UTF-32 encoding. More...
struct | UTF32BE
| UTF-32 big endian encoding. More...
struct | UTF32LE
| UTF-32 little endian enocoding. More...
struct | UTF8
| UTF-8 encoding. More...
class | Writer
| JSON writer. More...

## Typedefs
typedef GenericValue< UTF8<> > | Value
| Value with UTF8 encoding. More...
typedef GenericDocument< UTF8<> > | Document
typedef unsigned | SizeType
| Use 32-bit array/string indices even for 64-bit platform, instead of using size_t. More...
typedef GenericStringStream< UTF8<> > | StringStream
typedef GenericInsituStringStream< UTF8<> > | InsituStringStream
typedef GenericReader< UTF8<>, UTF8<> > | Reader
| Reader with UTF8 encoding and default allocator. More...
typedef GenericStringBuffer< UTF8<> > | StringBuffer

## Enumerations
enum | UTFType { kUTF8 = 0, kUTF16LE = 1, kUTF16BE = 2, kUTF32LE = 3, kUTF32BE = 4 }
| Runtime-specified UTF encoding type of a stream. More...
enum | Type { kNullType = 0, kFalseType = 1, kTrueType = 2, kObjectType = 3, kArrayType = 4, kStringType = 5, kNumberType = 6 }
| Type of JSON value. More...
enum | ParseFlag { kParseDefaultFlags = 0, kParseInsituFlag = 1, kParseValidateEncodingFlag = 2 }
| Combination of parseFlags. More...

## Functions
template<>
void | PutN (FileWriteStream &stream, char c, size_t n)
| Implement specialized version of PutN() with memset() for better performance. More...
template<typename Stream , typename Ch >
void | PutN (Stream &stream, Ch c, size_t n)
| Put N copies of a character to a stream. More...
template<typename InputStream >
void | SkipWhitespace (InputStream &is)
| Skip the JSON white spaces in a stream. More...
template<>
void | PutN (GenericStringBuffer< UTF8<> > &stream, char c, size_t n)
| Implement specialized version of PutN() with memset() for better performance. More...

## Typedef Documentation

typedef GenericDocument<UTF8<> > Document

typedef GenericInsituStringStream<UTF8<> > InsituStringStream

typedef GenericReader<UTF8<>, UTF8<> > Reader

Reader with UTF8 encoding and default allocator.

typedef unsigned SizeType

Use 32-bit array/string indices even for 64-bit platform, instead of using size_t.

User may override the SizeType by defining RAPIDJSON_NO_SIZETYPEDEFINE.

typedef GenericStringBuffer<UTF8<> > StringBuffer

typedef GenericStringStream<UTF8<> > StringStream

typedef GenericValue<UTF8<> > Value

Value with UTF8 encoding.

## Enumeration Type Documentation

enum ParseFlag

Combination of parseFlags.

Enumerator
kParseDefaultFlags | Default parse flags. Non-destructive parsing. Text strings are decoded into allocated buffer.
kParseInsituFlag | In-situ(destructive) parsing.
kParseValidateEncodingFlag | Validate encoding of JSON strings.

enum Type

Type of JSON value.

Enumerator
kNullType | null
kFalseType | false
kTrueType | true
kObjectType | object
kArrayType | array
kStringType | string
kNumberType | number

enum UTFType

Runtime-specified UTF encoding type of a stream.

Enumerator
kUTF8 | UTF-8.
kUTF16LE | UTF-16 little endian.
kUTF16BE | UTF-16 big endian.
kUTF32LE | UTF-32 little endian.
kUTF32BE | UTF-32 big endian.

## Function Documentation

void rapidjson::PutN | ( | GenericStringBuffer< UTF8<> > & | stream,
|  | char | c,
|  | size_t | n
| ) |  |
| inline

Implement specialized version of PutN() with memset() for better performance.

void rapidjson::PutN | ( | FileWriteStream & | stream,
|  | char | c,
|  | size_t | n
| ) |  |
| inline

Implement specialized version of PutN() with memset() for better performance.

void rapidjson::PutN | ( | Stream & | stream,
|  | Ch | c,
|  | size_t | n
| ) |  |
| inline

Put N copies of a character to a stream.

void rapidjson::SkipWhitespace | ( | InputStream & | is | ) |

Skip the JSON white spaces in a stream.

Parameters

  stream | A input stream for skipping white spaces.

Note
  This function has SSE2/SSE4.2 specialization.